<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8"/>
    <title>Rygel.PluginLoader.load_module_from_file &ndash; librygel-core &ndash; Vala Binding Reference</title>
    <link href="../style.css" rel="stylesheet" type="text/css"/><script src="../scripts.js" type="text/javascript">
    </script>
  </head>
  <body>
    <div class="site_header">Rygel.PluginLoader.load_module_from_file &ndash; librygel-core Reference Manual</div>
    <div class="site_body">
      <div class="site_navigation">
        <ul class="navi_main">
          <li class="package_index"><a href="../index.html">Packages</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="package"><a href="index.htm">librygel-core</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="namespace"><a href="Rygel.html">Rygel</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="class"><a href="Rygel.PluginLoader.html">PluginLoader</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="creation_method"><a href="Rygel.PluginLoader.PluginLoader.html">PluginLoader</a></li>
          <li class="method"><a href="Rygel.PluginLoader.add_plugin.html">add_plugin</a></li>
          <li class="virtual_method"><a href="Rygel.PluginLoader.constructed.html">constructed</a></li>
          <li class="method"><a href="Rygel.PluginLoader.get_plugin_by_name.html">get_plugin_by_name</a></li>
          <li class="method"><a href="Rygel.PluginLoader.list_plugins.html">list_plugins</a></li>
          <li class="virtual_method">load_module_from_file</li>
          <li class="virtual_method"><a href="Rygel.PluginLoader.load_module_from_info.html">load_module_from_info</a></li>
          <li class="method"><a href="Rygel.PluginLoader.plugin_disabled.html">plugin_disabled</a></li>
          <li class="signal"><a href="Rygel.PluginLoader.plugin_available.html">plugin_available</a></li>
        </ul>
      </div>
      <div class="site_content">
        <h1 class="main_title">load_module_from_file</h1>
        <hr class="main_hr"/>
        <h2 class="main_title">Description:</h2>
        <div class="main_code_definition"><span class="main_keyword">protected</span> <span class="main_keyword">override</span> <span class="main_basic_type"><span class="struct">bool</span></span> <b><span class="virtual_method">load_module_from_file</span></b> (<span class="main_type"><span class="interface">File</span></span> module_file)
        </div>
      </div>
    </div><br/>
    <div class="site_footer">Generated by <a href="https://wiki.gnome.org/Projects/Valadoc"><kbd>valadoc</kbd></a>
    </div>
  </body>
</html>